## boca-dmo 1.0.7

=== Makefile ===
########## BoCA directory makefile ##########

BOCA_PATH = .

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-options

all:
	mkdir -p $(BOCA_PATH)/$(BINDIR) $(BOCA_PATH)/$(LIBDIR)

	+ $(call makein,runtime)
	+ $(call makein,components)

codesign: all
	signtool sign -fd sha1 -tr http://timestamp.digicert.com -td sha1 $(BOCA_PATH)/$(BINDIR)/*.dll $(BOCA_PATH)/$(BINDIR)/*.exe
	signtool sign -fd sha256 -tr http://timestamp.digicert.com -td sha256 -as $(BOCA_PATH)/$(BINDIR)/*.dll $(BOCA_PATH)/$(BINDIR)/*.exe

clean:
	+ $(call cleanin,runtime)
	+ $(call cleanin,components)

ifneq ("$(SRCDIR)","$(CURDIR)")
	rmdir $(BOCA_PATH)/$(BINDIR) $(BOCA_PATH)/$(LIBDIR) || true
endif

install:
ifneq ($(BUILD_WIN32),True)
	$(call makein,include,install)
	$(call makein,runtime,install)
	$(call makein,scripts,install)
	$(call makein,components,install)
endif

uninstall:
ifneq ($(BUILD_WIN32),True)
	$(call makein,include,uninstall)
	$(call makein,runtime,uninstall)
	$(call makein,scripts,uninstall)
	$(call makein,components,uninstall)
endif

=== components/Makefile ===
########## BoCA directory makefile ##########

BOCA_PATH = ..

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-options

FOLDERS = decoder deviceinfo dsp encoder extension other output playlist tagger verifier

.PHONY: $(FOLDERS)

all: $(FOLDERS)

$(FOLDERS):
	+ $(call makein,$@)

clean: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##clean)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##clean):
	$(call cleanin,$(subst ##clean,,$@))

install: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##install)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##install):
	$(call makein,$(subst ##install,,$@),install)

uninstall: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##uninstall)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##uninstall):
	$(call makein,$(subst ##uninstall,,$@),uninstall)

=== runtime/Makefile ===
########## BoCA CDK makefile ##########

# Change these variables to fit your project:
TARGET	  = boca
TYPE	  = runtime
VERSION	  = 1.0
REVISION  = 3

BOCA_PATH = ..

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-options

# Enter object files here:
OBJECTS	  = application/external/configlayer.o application/external/decodercomponent.o application/external/encodercomponent.o
OBJECTS	 += application/component.o application/componentspecs.o application/decodercomponent.o application/deviceinfocomponent.o application/dspcomponent.o application/encodercomponent.o application/extensioncomponent.o application/outputcomponent.o application/playlistcomponent.o application/registry.o application/streamcomponent.o application/taggercomponent.o application/verifiercomponent.o
OBJECTS	 += common/communication/application.o common/communication/engine.o common/communication/joblist.o common/communication/menu.o common/communication/settings.o
OBJECTS	 += common/metadata/device.o common/metadata/format.o common/metadata/info.o common/metadata/mcdi.o common/metadata/picture.o common/metadata/picturedata.o common/metadata/track.o
OBJECTS	 += common/config.o common/configlayer.o common/formatconverter.o common/i18n.o common/protocol.o common/utilities.o
OBJECTS	 += component/component.o component/decodercomponent.o component/deviceinfocomponent.o component/dspcomponent.o component/encodercomponent.o component/extensioncomponent.o component/outputcomponent.o component/playlistcomponent.o component/streamcomponent.o component/taggercomponent.o component/verifiercomponent.o
OBJECTS	 += core/core.o core/main.o

ifeq ($(BUILD_WIN32),True)
	OBJECTS += application/external/win32/decodercomponentfile.o application/external/win32/decodercomponentstdio.o application/external/win32/encodercomponentfile.o application/external/win32/encodercomponentstdio.o
else ifeq ($(BUILD_UNIX),True)
	OBJECTS += application/external/posix/decodercomponentfile.o application/external/posix/decodercomponentstdio.o application/external/posix/encodercomponentfile.o application/external/posix/encodercomponentstdio.o
endif

# Enter additional library dependencies here
LIBS	  =

# Enter addition commands for targets all and clean here:
ALLCMD1   =
ALLCMD2   =
CLEANCMD1 =
CLEANCMD1 =

## Do not change anything below this line. ##

CCOPTS	  = -fvisibility=hidden -DBOCA_CDK_BUILD -DBOCA_INSTALL_PREFIX=\"$(prefix)\" -I"$(SRCDIR)"/$(BOCA_PATH)/include
LDOPTS	  = -L"$(SRCDIR)"/$(BOCA_PATH)/$(LIBDIR) -lstdc++ $(LIBS)

ifeq ($(BUILD_WIN32),True)
	LDOPTS += -lsmooth -lws2_32 -Wl,--dynamicbase,--nxcompat,--enable-auto-import
else
	CCOPTS += -fPIC

	ifneq ($(BUILD_SOLARIS),True)
	ifneq ($(BUILD_HAIKU),True)
		CCOPTS += -pthread

		ifneq ($(BUILD_OSX),True)
			ifeq ($(BUILD_NETBSD),True)
				CCOPTS += -I/usr/pkg/include
			else
				CCOPTS += -I/usr/local/include
			endif
		endif
	endif
	endif

	LDOPTS += -L$(prefix)/lib -lsmooth-$(SMOOTHVER)

	ifeq ($(BUILD_OSX),True)
		LDOPTS += -Wl,-dylib_install_name,libboca-$(VERSION).$(REVISION)$(SHARED)
	else
		LDOPTS += -Wl,-soname,libboca-$(VERSION)$(SHARED).$(REVISION)
	endif
endif

all: folders $(BOCA_PATH)/$(BINDIR)/boca.$(VERSION)$(SHARED)

folders:
ifeq ($(BUILD_WIN32),True)
	mkdir -p application/external/win32
else
	mkdir -p application/external/posix
endif
	mkdir -p common/communication common/metadata component core

$(BOCA_PATH)/$(BINDIR)/boca.$(VERSION)$(SHARED): $(OBJECTS)
ifeq ($(BUILD_WIN32),True)
	$(LD) --shared -o $@ $(OBJECTS) -Wl,--out-implib,$(BOCA_PATH)/$(LIBDIR)/libboca.a $(LDOPTS) $(LDFLAGS)
else
ifneq ($(BUILD_OSX),True)
	$(LD) --shared -o $@ $(OBJECTS) $(LDOPTS) $(LDFLAGS)
else
	$(LD) -dynamiclib -o $@ $(OBJECTS) $(LDOPTS) $(LDFLAGS)
endif

	rm -f $(BOCA_PATH)/$(LIBDIR)/libboca-$(VERSION)$(SHARED)
	ln -fs ../$(BINDIR)/boca.$(VERSION)$(SHARED) $(BOCA_PATH)/$(LIBDIR)/libboca-$(VERSION)$(SHARED)
endif

clean:
	rm -f $(OBJECTS)
	rm -f $(BOCA_PATH)/$(BINDIR)/boca.$(VERSION)$(SHARED)

ifneq ("$(SRCDIR)","$(CURDIR)")
ifeq ($(BUILD_WIN32),True)
	rmdir application/external/win32 || true
else
	rmdir application/external/posix || true
endif

	rmdir application/external application common/communication common/metadata common component core || true
endif

ifeq ($(BUILD_WIN32),True)
	rm -f $(BOCA_PATH)/$(LIBDIR)/libboca.a
else
	rm -f $(BOCA_PATH)/$(LIBDIR)/libboca-$(VERSION)$(SHARED)
endif

install: all
ifneq ($(BUILD_WIN32),True)
	$(INSTALL) -d "$(DESTDIR)"$(libdir)/boca
	$(INSTALL_DATA) $(BOCA_PATH)/$(BINDIR)/boca.$(VERSION)$(SHARED) "$(DESTDIR)"$(libdir)/boca
	ln -fs boca/boca.$(VERSION)$(SHARED) "$(DESTDIR)"$(libdir)/libboca-$(VERSION)$(SHARED)

ifeq ($(BUILD_OSX),True)
	ln -fs boca/boca.$(VERSION)$(SHARED) "$(DESTDIR)"$(libdir)/libboca-$(VERSION).$(REVISION)$(SHARED)
else
	ln -fs boca/boca.$(VERSION)$(SHARED) "$(DESTDIR)"$(libdir)/libboca-$(VERSION)$(SHARED).$(REVISION)
endif

ifneq ($(BUILD_OSX),True)
ifneq ($(BUILD_SOLARIS),True)
ifneq ($(BUILD_HAIKU),True)
ifeq ("$(DESTDIR)","")
	$(LDCONFIG) 2> /dev/null || true
endif
endif
endif
endif
endif

uninstall:
ifneq ($(BUILD_WIN32),True)
ifeq ($(BUILD_OSX),True)
	rm -f "$(DESTDIR)"$(libdir)/libboca-$(VERSION).$(REVISION)$(SHARED)
else
	rm -f "$(DESTDIR)"$(libdir)/libboca-$(VERSION)$(SHARED).$(REVISION)
endif

	rm -f "$(DESTDIR)"$(libdir)/libboca-$(VERSION)$(SHARED)
	rm -f "$(DESTDIR)"$(libdir)/boca/boca.$(VERSION)$(SHARED)

ifneq ($(BUILD_OSX),True)
ifneq ($(BUILD_SOLARIS),True)
ifneq ($(BUILD_HAIKU),True)
ifeq ("$(DESTDIR)","")
	$(LDCONFIG) 2> /dev/null || true
endif
endif
endif
endif
endif

.c.o:
	$(CC) $(CCOPTS) $(CFLAGS) -c $< -o $@

.cpp.o:
	$(CXX) $(CCOPTS) $(CXXFLAGS) -c $< -o $@

.m.o:
	$(OBJC) $(CCOPTS) $(OBJCFLAGS) -c $< -o $@

.mm.o:
	$(OBJCXX) $(CCOPTS) $(OBJCXXFLAGS) -c $< -o $@

=== test/Makefile ===
BOCA_PATH = ..

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-options

OBJECTS	= picturedata.o
TARGET	= picturedata$(EXECUTABLE)

LIBS	= -lboca -lsmooth -lstdc++

CCOPTS	= -I $(BOCA_PATH)/include
LDOPTS	= -L $(BOCA_PATH)/$(LIBDIR) $(LIBS)

all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(LD) -o $@ $(OBJECTS) $(LDOPTS) $(LDFLAGS)

clean:
	rm -f $(TARGET) $(OBJECTS)

.cpp.o:
	$(CXX) $(CCOPTS) $(CXXFLAGS) -c $< -o $@

=== components/encoder/Makefile ===
########## BoCA directory makefile ##########

BOCA_PATH = ../..

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-options

FOLDERS = fdkaac flac lame mac meh opus sndfile speex vorbis

ifeq ($(USE_WINE),True)
	FOLDERS += coreaudioconnect
endif

ifeq ($(BUILD_OSX),True)
	FOLDERS += coreaudio
else ifeq ($(BUILD_WIN32),True)
	FOLDERS += coreaudio wma

ifeq ($(BUILD_ARM64),True)
	FOLDERS += coreaudioconnect
endif
endif

.PHONY: $(FOLDERS)

all: $(FOLDERS)

$(FOLDERS):
	+ $(call makein,$@)

clean: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##clean)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##clean):
	$(call cleanin,$(subst ##clean,,$@))

install: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##install)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##install):
	$(call makein,$(subst ##install,,$@),install)

uninstall: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##uninstall)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##uninstall):
	$(call makein,$(subst ##uninstall,,$@),uninstall)

=== components/extension/Makefile ===
########## BoCA directory makefile ##########

BOCA_PATH = ../..

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-options

FOLDERS = statustime

.PHONY: $(FOLDERS)

all: $(FOLDERS)

$(FOLDERS):
	+ $(call makein,$@)

clean: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##clean)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##clean):
	$(call cleanin,$(subst ##clean,,$@))

install: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##install)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##install):
	$(call makein,$(subst ##install,,$@),install)

uninstall: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##uninstall)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##uninstall):
	$(call makein,$(subst ##uninstall,,$@),uninstall)

=== components/other/Makefile ===
########## BoCA directory makefile ##########

BOCA_PATH = ../..

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-options

FOLDERS = 

.PHONY: $(FOLDERS)

all: $(FOLDERS)

$(FOLDERS):
	+ $(call makein,$@)

clean: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##clean)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##clean):
	$(call cleanin,$(subst ##clean,,$@))

install: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##install)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##install):
	$(call makein,$(subst ##install,,$@),install)

uninstall: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##uninstall)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##uninstall):
	$(call makein,$(subst ##uninstall,,$@),uninstall)

=== components/output/Makefile ===
########## BoCA directory makefile ##########

BOCA_PATH = ../..

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-options

FOLDERS = 

ifeq ($(BUILD_LINUX),True)
	FOLDERS += pulseaudio
else ifeq ($(BUILD_OSX),True)
	FOLDERS += coreaudio
else ifeq ($(BUILD_FREEBSD),True)
	FOLDERS += oss
else ifeq ($(BUILD_OPENBSD),True)
	FOLDERS += oss
else ifeq ($(BUILD_NETBSD),True)
	FOLDERS += oss
else ifeq ($(BUILD_SOLARIS),True)
	FOLDERS += oss
else ifeq ($(BUILD_HAIKU),True)
	FOLDERS += haiku
else ifeq ($(BUILD_WIN32),True)
	FOLDERS += directsound waveout

ifeq ($(BUILD_X86),True)
	FOLDERS += winamp
endif
endif

.PHONY: $(FOLDERS)

all: $(FOLDERS)

$(FOLDERS):
	+ $(call makein,$@)

clean: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##clean)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##clean):
	$(call cleanin,$(subst ##clean,,$@))

install: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##install)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##install):
	$(call makein,$(subst ##install,,$@),install)

uninstall: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##uninstall)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##uninstall):
	$(call makein,$(subst ##uninstall,,$@),uninstall)

=== components/decoder/alac/Makefile ===
########## BoCA component makefile ##########

.NOTPARALLEL:

# Change these variables to fit your project:
TARGET	  = alac
TYPE	  = decoder
VERSION	  = 1.0

BOCA_PATH = ../../..

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-options

# Enter object files here:
OBJECTS	  = dllinterface.o alac.o

# Enter additional defines here:
DEFINE	  = -I"$(SRCDIR)" -I"$(SRCDIR)"/$(BOCA_PATH)/include/support -Wno-multichar

# Enter additional library dependencies here:
LIBS	  = alac/libalac.a

# Enter addition commands for targets all and clean here:
ALLCMD1   = $(call makein,alac)
ALLCMD2   =
CLEANCMD1 = $(call cleanin,alac)
CLEANCMD2 =
INSTCMD1  =
INSTCMD2  = 
UINSTCMD1 =
UINSTCMD2 =

## Do not change anything below this line. ##

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-commands

=== components/decoder/bonk/Makefile ===
########## BoCA component makefile ##########

# Change these variables to fit your project:
TARGET	  = bonk
TYPE	  = decoder
VERSION	  = 1.0

BOCA_PATH = ../../..

# Enter object files here:
OBJECTS	  = bonk.o dllinterface.o

# Enter additional defines here:
DEFINE	  = -I"$(SRCDIR)"/$(BOCA_PATH)/include/support

# Enter additional library dependencies here:
LIBS	  =

# Enter addition commands for targets all and clean here:
ALLCMD1   =
ALLCMD2   =
CLEANCMD1 =
CLEANCMD2 =
INSTCMD1  =
INSTCMD2  = 
UINSTCMD1 =
UINSTCMD2 =

## Do not change anything below this line. ##

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-commands

=== components/decoder/cdio/Makefile ===
########## BoCA component makefile ##########

# Change these variables to fit your project:
TARGET	  = cdio
TYPE	  = decoder
VERSION	  = 1.0

BOCA_PATH = ../../..

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-options 

# Enter object files here:
OBJECTS	  = cdio.o config.o info/cdinfo.o info/cdtext.o

# Enter additional defines here:
ifeq ($(wildcard /usr/include/cdio/paranoia/paranoia.h),)
ifneq ($(wildcard /usr/include/cdio/paranoia.h),)
	DEFINE = -DHAVE_OLD_PARANOIA_INCLUDE=1
endif
endif

# Enter additional library dependencies here:
LIBS	  = -lcdio -lcdio_cdda -lcdio_paranoia

ifeq ($(BUILD_WIN32),True)
	LIBS += -lwinmm
endif

# Enter addition commands for targets all and clean here:
ALLCMD1   =
ALLCMD2   =
CLEANCMD1 =
CLEANCMD2 =
INSTCMD1  =
INSTCMD2  = 
UINSTCMD1 =
UINSTCMD2 =

## Do not change anything below this line. ##

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-commands

=== components/decoder/cdrip/Makefile ===
########## BoCA component makefile ##########

# Change these variables to fit your project:
TARGET	  = cdrip
TYPE	  = decoder
VERSION	  = 1.0

BOCA_PATH = ../../..

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-options

# Enter object files here:
OBJECTS	  = cdrip.o config.o dllinterface.o info/cdinfo.o info/cdplayerini.o info/cdtext.o

# Enter additional defines here:
DEFINE	  = -I"$(SRCDIR)"/$(BOCA_PATH)/include/support

# Enter additional library dependencies here:
LIBS	  = -lws2_32

# Enter addition commands for targets all and clean here:
ifneq ("$(SRCDIR)","$(CURDIR)")
	ALLCMD1   = mkdir -p info
	ALLCMD2   =
	CLEANCMD1 = rmdir info || true
	CLEANCMD2 =
	INSTCMD1  =
	INSTCMD2  = 
	UINSTCMD1 =
	UINSTCMD2 =
endif

## Do not change anything below this line. ##

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-commands

=== debian/changelog ===
boca-dmo (1.0.7-dmo2) unstable; urgency=medium

  * Build with libcdio-cdda2t64

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Jan 2026 10:58:08 +0100

boca-dmo (1.0.7-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 23 Aug 2024 17:39:15 +0200

=== debian/control ===
Source: boca-dmo
Section: libs
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/enzo1982/BoCA
Standards-Version: 4.7.3
Build-Depends: debhelper-compat (= 13), libsmooth-dev, zlib1g-dev,
 libexpat1-dev, libcdio-paranoia-dev, libpulse-dev, liburiparser-dev,

Package: libboca-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libboca0 (= ${binary:Version}), ${misc:Depends},
Description: fre:ac Component Architecture - development files
 BoCA is the component framework behind the fre:ac audio converter. It
 provides unified interfaces for components like encoders, decoders, taggers
 and extensions as well as code to support communication between the
 application and its components.
 .
 This package can be used to invoke libboca via its C++ API.


Package: libboca0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: fre:ac Component Architecture - runtime libraries
 BoCA is the component framework behind the fre:ac audio converter. It
 provides unified interfaces for components like encoders, decoders, taggers
 and extensions as well as code to support communication between the
 application and its components.
 .
  This package contains runtime libraries. You shouldn't have to install it  
 manually.

=== debian/watch ===
version=4

https://github.com/enzo1982/BoCA/tags \
(?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
